Bug 1787429 - Review Request: mopidy - An extensible music server written in Python
Summary: Review Request: mopidy - An extensible music server written in Python
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1785943
TreeView+ depends on / blocked
 
Reported: 2020-01-02 19:55 UTC by Tobias
Modified: 2020-01-13 15:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-13 15:56:29 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Tobias 2020-01-02 19:55:10 UTC
Spec URL: https://raw.githubusercontent.com/fork-graveyard/mopidy-packaging/v2/mopidy.spec
SRPM URL: https://github.com/fork-graveyard/mopidy-packaging/releases/download/v2/mopidy-3.0.1-1.fc30.src.rpm
Description:

Mopidy plays music from local disk, and a plethora of streaming services and
sources. You edit the playlist from any phone, tablet, or computer using a
variety of MPD and web clients.

Fedora Account System Username: girst

Note that this only intends to package the "local disk" part of the description; the streaming services are implemented in extensions, which I might look at packaging later.

This package depends on python3-pykka, which I intend to (co)maintain. 

rpmlint: 
mopidy.src: W: spelling-error %description -l en_US playlist -> play list, play-list, pluralist
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
This is the official spelling in all their documentation, and AFAIK a valid spelling.

Comment 1 Tobias 2020-01-02 20:43:51 UTC
Spec URL: https://raw.githubusercontent.com/fork-graveyard/mopidy-packaging/v3/mopidy.spec
SRPM URL: https://github.com/fork-graveyard/mopidy-packaging/releases/download/v3/mopidy-3.0.1-1.fc30.src.rpm

fixed title and made a slight change in the spec file (second directory must be writable by service). apologies for the noise.

Comment 2 Raphael Groner 2020-01-03 00:01:18 UTC
Sorry for the delay of any answer. Currently, I am the package maintainer of the pykka package. It had been orphaned about a year ago and I decided to claim it because of interest in mopidy as a project but never managed to continue my initial work.
As far as I know, pykka is needed for the spotify extension only. I gave up with mopidy in favor of kodi as the better alternative in my eyes for consuming any streaming services. Feel free to claim ownership of the pykka package.

Comment 3 Tobias 2020-01-04 15:52:13 UTC
No worries, Raphael. Looking at the Mopidy 3.0 sources, pykka is required by the main mopidy software. I'll try to find a provenpackager to merge the PR.

Comment 4 Raphael Groner 2020-01-05 13:52:22 UTC
Who's your sponsor? Please follow our guideline.
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Bug #1785943 is about the needed update to pykka dependency, that package blocks this request, just as you wrote.

Comment 5 Robert-André Mauchin 🐧 2020-01-07 23:02:21 UTC
 - Glob the extension for man pages as the compression may change in the future:

%{_mandir}/man1/%{name}.1.*
%{_mandir}/man8/mopidyctl.8.*

Comment 7 Robert-André Mauchin 🐧 2020-01-12 19:58:08 UTC
+ make SPHINXBUILD=sphinx-build-3 html man
sphinx-build-3 -b html -d _build/doctrees   . _build/html
Running Sphinx v2.2.2
making output directory... done

Theme error:
sphinx_rtd_theme is no longer a hard dependency since version 1.4.0. Please install it manually.(pip install sphinx_rtd_theme)
make: *** [Makefile:40: html] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.M75Rzv (%build)


BR python3-sphinx_rtd_theme

 - Split the documentation into a separate noarch doc subpackage:

  Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 11673600 bytes in 197 files.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_documentation




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 11673600 bytes in 197 files.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_documentation


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License (v2.0)",
     "Apache License (v2.0)". 255 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/mopidy/review-
     mopidy/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: systemd_post is invoked in %post, systemd_preun in %preun, and
     systemd_postun in %postun for Systemd service files.
     Note: Systemd service file(s) in mopidy
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: Uses parallel make %{?_smp_mflags} macro.
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mopidy-3.0.1-1.fc32.noarch.rpm
          mopidy-3.0.1-1.fc32.src.rpm
mopidy.noarch: W: spelling-error %description -l en_US playlist -> play list, play-list, pluralist
mopidy.noarch: W: non-standard-uid /etc/mopidy/mopidy.conf mopidy
mopidy.noarch: W: non-standard-gid /etc/mopidy/mopidy.conf mopidy
mopidy.noarch: E: non-readable /etc/mopidy/mopidy.conf 640
mopidy.noarch: W: non-standard-uid /var/cache/mopidy mopidy
mopidy.noarch: W: non-standard-gid /var/cache/mopidy mopidy
mopidy.noarch: W: non-standard-uid /var/lib/mopidy mopidy
mopidy.noarch: W: non-standard-gid /var/lib/mopidy mopidy
mopidy.noarch: W: empty-%postun
mopidy.src: W: spelling-error %description -l en_US playlist -> play list, play-list, pluralist
2 packages and 0 specfiles checked; 1 errors, 9 warnings.

Comment 8 Tobias 2020-01-12 21:20:13 UTC
Thanks for the revie! I've moved the documentation to a subpackage and added the BR.

SRPM: https://github.com/fork-graveyard/mopidy-packaging/releases/download/v5/mopidy-3.0.1-1.fc32.src.rpm
SPEC: https://raw.githubusercontent.com/fork-graveyard/mopidy-packaging/v5/mopidy.spec

Comment 9 Robert-André Mauchin 🐧 2020-01-12 21:29:14 UTC
Please add a dot at the end of the doc description:

%description doc
Documentation for Mopidy, an extensible music server written in Python.


Patkage approved.

Comment 10 Gwyn Ciesla 2020-01-13 13:51:02 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mopidy

Comment 11 Tobias 2020-01-13 15:56:29 UTC
Package has been built for rawhide, closing. Thanks again Robert-André for the review.


Note You need to log in before you can comment on or make changes to this bug.